Add discord rpc and npm

This commit is contained in:
Stylix58
2021-05-01 16:26:50 +02:00
parent 1cea515472
commit 7598e328c5
9 changed files with 1649 additions and 4 deletions
+15 -2
View File
@@ -27,7 +27,7 @@ IF ERRORLEVEL 1 (
where /q node
IF ERRORLEVEL 1 (
ECHO Error: node is not installed.
ECHO Please Install NodeJS from: https://nodejs.org/en/download/
ECHO Please Install NodeJS from: https://nodejs.org/en/download
ECHO And make sure its in the path
GOTO :end
)
@@ -35,7 +35,7 @@ IF ERRORLEVEL 1 (
where /q pnpm
IF ERRORLEVEL 1 (
ECHO 'Error: pnpm is not installed.' >&2
ECHO Please install npm from: https://pnpm.io
ECHO Please install npm from: https://nodejs.org/en/download
ECHO And make sure its in the path
GOTO :end
)
@@ -66,6 +66,19 @@ git clone https://github.com/fosscord/react-native-withcss react-native-withcss
echo {"folders":[{"path":"overview"},{"path":"cdn"},{"path":"api"},{"path":"gateway"},{"path":"media"},{"path":"server-util"},{"path":"ui"},{"path":"client"},{"path":"plugins"},{"path":"themes"},{"path":"landingpage"},{"path":"dashboard"},{"path":"support"},{"path":"css-mediaquery"},{"path":"react-native-withcss"}]}> fosscord.code-workspace
CHOICE /c yn /m "Do you want to install the Discord Rich Presence?"
IF %ERRORLEVEL% == 2 GOTO :end
cd ..
cd rpc
npm install
npm i pm2 -g
pm2 start --name rpc index.js
pm2 save
pm2-startup install
:end
ECHO finished installation
@ECHO on
PAUSE
+4 -2
View File
@@ -25,13 +25,13 @@ if ! [ -x "$(command -v git)" ]; then
fi
if ! [ -x "$(command -v node)" ]; then
echo Error: node is not installed.
echo Please Install NodeJS from: https://nodejs.org/en/download/
echo Please Install NodeJS from: https://nodejs.org/en/download
echo And make sure its in the path
exit 1
fi
if ! [ -x "$(command -v pnpm)" ]; then
echo 'Error: npm is not installed.' >&2
echo Please install npm from: https://pnpm.io
echo Please install npm from: https://nodejs.org/en/download
echo And make sure its in the path
exit 1
fi
@@ -60,3 +60,5 @@ git clone https://github.com/fosscord/css-mediaquery css-mediaquery
git clone https://github.com/fosscord/react-native-withcss react-native-withcss
echo '{"folders":[{"path":"overview"},{"path":"cdn"},{"path":"api"},{"path":"gateway"},{"path":"media"},{"path":"server-util"},{"path":"ui"},{"path":"client"},{"path":"plugins"},{"path":"themes"},{"path":"landingpage"},{"path":"dashboard"},{"path":"support"},{"path":"css-mediaquery"},{"path":"react-native-withcss"}]}' >> fosscord.code-workspace
echo Installation finished